import { Component, MouseEventHandler } from 'react';
import { Moment } from 'moment';
import ConfigContext, { ConfigContextValue } from '../config-provider/ConfigContext';
export default class WeekPicker extends Component<any, any> {
    static get contextType(): typeof ConfigContext;
    static defaultProps: {
        format: string;
        allowClear: boolean;
    };
    private input;
    private picker;
    context: ConfigContextValue;
    constructor(props: any, context: ConfigContextValue);
    componentWillReceiveProps(nextProps: any): void;
    getPrefixCls(): string;
    weekDateRender: (current: any) => JSX.Element;
    handleOpenChange: (status: boolean) => void;
    handleChange: (value: Moment | null) => void;
    clearSelection: MouseEventHandler<HTMLElement>;
    onPickerIconClick: MouseEventHandler<HTMLElement>;
    focus(): void;
    blur(): void;
    saveInput: (node: any) => void;
    savePicker: (node: any) => void;
    render(): JSX.Element;
}
